/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import Cards from './cards/Cards';
import EmailsList from './emails_list/EmailsList';
import List from './list/List';
import SelectableTable from './selectable_table/SelectableTable';
import Table from './table/Table';
import Timeline from './timeline/Timeline';

const VIEWS = {
	cards: Cards,
	emailsList: EmailsList,
	list: List,
	selectableTable: SelectableTable,
	table: Table,
	timeline: Timeline,
};

export function getViewContentRenderer(contentRenderer) {
	const view = VIEWS[contentRenderer];

	return view
		? Promise.resolve(view)
		: Promise.reject(
				`No content renderer found with the ID: "${contentRenderer}"`
		  );
}
